# Class Mantis

java.lang.Object
net.sf.statcvs.weblinks.bugs.BugTracker
net.sf.statcvs.weblinks.bugs.Mantis

public class Mantis extends BugTracker
Implements support for the Mantis bug tracker.

Version:
  $Id: Mantis.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Brian J�rgensen (qte@cs.aau.dk), Richard Cyganiak (richard@cyganiak.de)

## Field Summary

### Fields inherited from class BugTracker

`bugRegex, NO_BUG_TRACKER`

## Constructor Summary

Constructors
Constructor
Description
`Mantis(String baseURL)`

## Method Summary

Modifier and Type
Method
Description
`String`
`bugURL(String bugNumber)`
Returns the URL of the bug tracker page about a certain bug.
`String`
`getName()`
Returns the name of the bug tracker

### Methods inherited from class BugTracker

`baseURL, toHTMLWithLinks`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mantis

public Mantis(String baseURL)

## Method Details

### getName

public String getName()
Description copied from class: `BugTracker`
Returns the name of the bug tracker

Specified by:
  `getName` in class `BugTracker`
Returns:
  the name of the bug tracker

### bugURL

public String bugURL(String bugNumber)
Description copied from class: `BugTracker`
Returns the URL of the bug tracker page about a certain bug.

Specified by:
  `bugURL` in class `BugTracker`
Parameters:
  `bugNumber` - The bug number; one or more digits.
Returns:
  The URL of the bug page